Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.x509
Class Name

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1Structure
              com.mindbright.asn1.ASN1Sequence
                  com.mindbright.asn1.ASN1SequenceOf
                      com.mindbright.security.x509.Name

public final class Name
extends ASN1SequenceOf

     NOTE: Shortened here, but RDNSequence feels superfluos until more choices
     are available...
     should be: Name ::= CHOICE { -- only one possibility for
                                  now -- rdnSequence RDNSequence }

     RDNSequence       ::= SEQUENCE OF RelativeDistinguishedName

     DistinguishedName ::=   RDNSequence

Field Summary

Fields inherited from class com.mindbright.asn1.ASN1Structure
`components, count, ofType`

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`Name()`

Method Summary
`RelativeDistinguishedName` | `getRDN(int i)`
`java.lang.String` | `getRFC2253Value()`
`void` | `setRFC2253Value(java.lang.String rfc2253DN)`

Methods inherited from class com.mindbright.asn1.ASN1Structure
`addComponent, addComponent, addOptional, addOptional, addOptional, decodeValue, encodeValue, equals, getComponent, getCount, getDecodeComponent, getDefault, getDistinctComponent, hashCode, isOptional, ofType`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, getType, isSet, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Name

    public Name()

Method Detail

### getRDN

    public RelativeDistinguishedName getRDN(int i)

### setRFC2253Value

    public void setRFC2253Value(java.lang.String rfc2253DN)

### getRFC2253Value

    public java.lang.String getRFC2253Value()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD